---
title: forms11gpatch
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview


Here is an example on how to use it:

``` puppet
}
```





## Attributes



Attribute Name                                              | Short Description                                                                                 |
----------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
[download_dir](#forms11gpatch_download_dir)                 | The directory where the Puppet software puts all downloaded files.                                |
[fmw_file1](#forms11gpatch_fmw_file1)                       | First file of FMW distribution.                                                                   |
[jdk_home_dir](#forms11gpatch_jdk_home_dir)                 | The homdirectory for the Java evelopment Kit.                                                     |
[log_output](#forms11gpatch_log_output)                     | **DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release. |
[logoutput](#forms11gpatch_logoutput)                       | log the outputs of Puppet exec or not.                                                            |
[middleware_home_dir](#forms11gpatch_middleware_home_dir)   | Middleware home directory.                                                                        |
[oracle_base_home_dir](#forms11gpatch_oracle_base_home_dir) | A directory to use as Oracle base directory.                                                      |
[oracle_home_dir](#forms11gpatch_oracle_home_dir)           | A directory to be used as Oracle home directory for this software.                                |
[os_group](#forms11gpatch_os_group)                         | The os group used to install and run WebLogic.                                                    |
[os_user](#forms11gpatch_os_user)                           | The os user used to install and run WebLogic.                                                     |
[remote_file](#forms11gpatch_remote_file)                   | This parameter is not being used anymore and will be removed in a future release.                 |
[source](#forms11gpatch_source)                             | Source for the operation.                                                                         |
[temp_directory](#forms11gpatch_temp_directory)             | Directory to use for temporary files.                                                             |
[version](#forms11gpatch_version)                           | The version that is installed in the used Oracle home.                                            |
[weblogic_home_dir](#forms11gpatch_weblogic_home_dir)       | Directory to use as WebLogic home.                                                                |




### version<a name='forms11gpatch_version'>

The version that is installed in the used Oracle home.

Puppet uses this value to decide on version specific actions.

Type: `Wls_install::Versions`

Default:`lookup({name => 'wls_version', default_value => 1111})`

[Back to overview of forms11gpatch](#attributes)

### weblogic_home_dir<a name='forms11gpatch_weblogic_home_dir'>

Directory to use as WebLogic home.

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_weblogic_home_dir'})`

[Back to overview of forms11gpatch](#attributes)

### middleware_home_dir<a name='forms11gpatch_middleware_home_dir'>

Middleware home directory.


Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_middleware_home_dir'})`

[Back to overview of forms11gpatch](#attributes)

### oracle_base_home_dir<a name='forms11gpatch_oracle_base_home_dir'>

A directory to use as Oracle base directory.


Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_oracle_base_home_dir'})`

[Back to overview of forms11gpatch](#attributes)

### oracle_home_dir<a name='forms11gpatch_oracle_home_dir'>

A directory to be used as Oracle home directory for this software.


Type: `Stdlib::Absolutepath`

Default:`undef`

[Back to overview of forms11gpatch](#attributes)

### jdk_home_dir<a name='forms11gpatch_jdk_home_dir'>

The homdirectory for the Java evelopment Kit.

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_jdk_home_dir'})`

[Back to overview of forms11gpatch](#attributes)

### fmw_file1<a name='forms11gpatch_fmw_file1'>

First file of FMW distribution.

Type: `String[1]`

Default:`undef`

[Back to overview of forms11gpatch](#attributes)

### os_user<a name='forms11gpatch_os_user'>

The os user used to install and run WebLogic.


Type: `String[1]`

Default:`lookup({name => 'wls_os_user'})`

[Back to overview of forms11gpatch](#attributes)

### os_group<a name='forms11gpatch_os_group'>

The os group used to install and run WebLogic.


Type: `String[1]`

Default:`lookup({name => 'wls_os_group'})`

[Back to overview of forms11gpatch](#attributes)

### download_dir<a name='forms11gpatch_download_dir'>

The directory where the Puppet software puts all downloaded files.

Before Puppet can actually use remote files, they must be downloaded first. Puppet uses this directory to put all files in.

The default value is: `/install`

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_download_dir'})`

[Back to overview of forms11gpatch](#attributes)

### source<a name='forms11gpatch_source'>

Source for the operation.

Type: `String[1]`

Default:`lookup({name => 'wls_source', default_value => undef})`

[Back to overview of forms11gpatch](#attributes)

### temp_directory<a name='forms11gpatch_temp_directory'>

Directory to use for temporary files.


Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_temp_dir', default_value => '/tmp'})`

[Back to overview of forms11gpatch](#attributes)

### logoutput<a name='forms11gpatch_logoutput'>

log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Variant[
    Boolean,
    Enum[
      'on_failure'
    ]
  ]`

Default:`lookup({name => 'logoutput', default_value => 'on_failure'})`

[Back to overview of forms11gpatch](#attributes)

### log_output<a name='forms11gpatch_log_output'>

**DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release.
log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Optional[
    Variant[
      Boolean,
      Enum[
        'on_failure'
      ]
    ]
  ]`

Default:`undef`

[Back to overview of forms11gpatch](#attributes)

### remote_file<a name='forms11gpatch_remote_file'>

**DEPRECATED**
This parameter is not being used anymore and will be removed in a future release.

`true`.

Type: `Boolean`

Default:`true`

[Back to overview of forms11gpatch](#attributes)
