---
title: increased memory bsu
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview


Patches the BSU utility to increase the amount of memory available for patches.





## Attributes



Attribute Name                                                   | Short Description                                                                                 |
---------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
[download_dir](#increased_memory_bsu_download_dir)               | The directory where the Puppet software puts all downloaded files.                                |
[jdk_home_dir](#increased_memory_bsu_jdk_home_dir)               | The homdirectory for the Java evelopment Kit.                                                     |
[log_output](#increased_memory_bsu_log_output)                   | **DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release. |
[logoutput](#increased_memory_bsu_logoutput)                     | log the outputs of Puppet exec or not.                                                            |
[middleware_home_dir](#increased_memory_bsu_middleware_home_dir) | Middleware home directory.                                                                        |
[os_group](#increased_memory_bsu_os_group)                       | The os group used to install and run WebLogic.                                                    |
[os_user](#increased_memory_bsu_os_user)                         | The os user used to install and run WebLogic.                                                     |




### middleware_home_dir<a name='increased_memory_bsu_middleware_home_dir'>

Middleware home directory.


Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_middleware_home_dir'})`

[Back to overview of increased_memory_bsu](#attributes)

### jdk_home_dir<a name='increased_memory_bsu_jdk_home_dir'>

The homdirectory for the Java evelopment Kit.

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_jdk_home_dir'})`

[Back to overview of increased_memory_bsu](#attributes)

### os_user<a name='increased_memory_bsu_os_user'>

The os user used to install and run WebLogic.


Type: `String[1]`

Default:`lookup({name => 'wls_os_user'})`

[Back to overview of increased_memory_bsu](#attributes)

### os_group<a name='increased_memory_bsu_os_group'>

The os group used to install and run WebLogic.


Type: `Srting[1]`

Default:`lookup({name => 'wls_os_group'})`

[Back to overview of increased_memory_bsu](#attributes)

### download_dir<a name='increased_memory_bsu_download_dir'>

The directory where the Puppet software puts all downloaded files.

Before Puppet can actually use remote files, they must be downloaded first. Puppet uses this directory to put all files in.

The default value is: `/install`

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_download_dir'})`

[Back to overview of increased_memory_bsu](#attributes)

### logoutput<a name='increased_memory_bsu_logoutput'>

log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Variant[
    Boolean,
    Enum[
      'on_failure'
    ]
  ]`

Default:`lookup({name => 'logoutput', default_value => 'on_failure'})`

[Back to overview of increased_memory_bsu](#attributes)

### log_output<a name='increased_memory_bsu_log_output'>

**DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release.
log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Optional[
    Variant[
      Boolean,
      Enum[
        'on_failure'
      ]
    ]
  ]`

Default:`undef`

[Back to overview of increased_memory_bsu](#attributes)
