---
title: rcu
keywords: documentation
layout: documentation
sidebar: wls_install_sidebar
toc: false
---
## Overview

This is a private class. Don't use direct.




## Attributes



Attribute Name                                                  | Short Description                                                                                 |
--------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
[download_dir](#rcu_download_dir)                               | The directory where the Puppet software puts all downloaded files.                                |
[fmw_product](#rcu_fmw_product)                                 | Type of Fusion Middleware Product you want to install.                                            |
[jdk_home_dir](#rcu_jdk_home_dir)                               | The homdirectory for the Java evelopment Kit.                                                     |
[log_output](#rcu_log_output)                                   | **DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release. |
[logoutput](#rcu_logoutput)                                     | log the outputs of Puppet exec or not.                                                            |
[oracle_fmw_product_home_dir](#rcu_oracle_fmw_product_home_dir) | Fusion Middleware home.                                                                           |
[os_group](#rcu_os_group)                                       | The os group used to install and run WebLogic.                                                    |
[os_user](#rcu_os_user)                                         | The os user used to install and run WebLogic.                                                     |
[rcu_action](#rcu_rcu_action)                                   | Action to perform.                                                                                |
[rcu_database_url](#rcu_rcu_database_url)                       | Database URL to create the RCU on.                                                                |
[rcu_honor_omf](#rcu_rcu_honor_omf)                             | Boolean to determine if you want the RCU creation to honor OMF (Oracle Managed Files).            |
[rcu_jdbc_url](#rcu_rcu_jdbc_url)                               | The jdbc URL of the RCU repository.                                                               |
[rcu_password](#rcu_rcu_password)                               | The password to use on the database where the RCU repository is created.                          |
[rcu_prefix](#rcu_rcu_prefix)                                   | Extra prefix to use for the RCU.                                                                  |
[rcu_soa_profile](#rcu_rcu_soa_profile)                         | Profile to use for creating the RCU for SOA.                                                      |
[rcu_sys_password](#rcu_rcu_sys_password)                       | SYS password to use on the database where the RCU repository is created.                          |
[rcu_sys_user](#rcu_rcu_sys_user)                               | SYS username to use on the database where the RCU repository is created.                          |
[version](#rcu_version)                                         | The version that is installed in the used Oracle home.                                            |




### version<a name='rcu_version'>

The version that is installed in the used Oracle home.

Puppet uses this value to decide on version specific actions.

Type: `Wls_install::Versions`

Default:`lookup({name => 'wls_version', default_value => 1111})`

[Back to overview of rcu](#attributes)

### fmw_product<a name='rcu_fmw_product'>

Type of Fusion Middleware Product you want to install.

Valid values are:

- adf
- soa
- soaqs
- osb
- wcc
- wc
- oim
- oam
- web
- webgate
- oud
- mft
- b2b
- forms

Type: `Enum['adf','soa','mft']`

Default:`'adf'`

[Back to overview of rcu](#attributes)

### oracle_fmw_product_home_dir<a name='rcu_oracle_fmw_product_home_dir'>

Fusion Middleware home.

Type: `Stdlib::Absolutepath`

Default:`undef`

[Back to overview of rcu](#attributes)

### jdk_home_dir<a name='rcu_jdk_home_dir'>

The homdirectory for the Java evelopment Kit.

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_jdk_home_dir'})`

[Back to overview of rcu](#attributes)

### os_user<a name='rcu_os_user'>

The os user used to install and run WebLogic.


Type: `String[1]`

Default:`lookup({name => 'wls_os_user'})`

[Back to overview of rcu](#attributes)

### os_group<a name='rcu_os_group'>

The os group used to install and run WebLogic.


Type: `String[1]`

Default:`lookup({name => 'wls_os_group'})`

[Back to overview of rcu](#attributes)

### download_dir<a name='rcu_download_dir'>

The directory where the Puppet software puts all downloaded files.

Before Puppet can actually use remote files, they must be downloaded first. Puppet uses this directory to put all files in.

The default value is: `/install`

Type: `Stdlib::Absolutepath`

Default:`lookup({name => 'wls_download_dir'})`

[Back to overview of rcu](#attributes)

### rcu_action<a name='rcu_rcu_action'>

Action to perform.

Valid values are:

- create
- delete
Type: `Enum['create','delete']`

Default:`'create'`

[Back to overview of rcu](#attributes)

### rcu_jdbc_url<a name='rcu_rcu_jdbc_url'>

The jdbc URL of the RCU repository.

Type: `Optional[String[1]]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_database_url<a name='rcu_rcu_database_url'>

Database URL to create the RCU on.

Type: `Optional[String[1]]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_prefix<a name='rcu_rcu_prefix'>

Extra prefix to use for the RCU.

Type: `Optional[String[1]]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_password<a name='rcu_rcu_password'>

The password to use on the database where the RCU repository is created.

Type: `Optional[String[1]]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_sys_user<a name='rcu_rcu_sys_user'>

SYS username to use on the database where the RCU repository is created.

Default is 'SYS'
Type: `String[1]`

Default:`'sys'`

[Back to overview of rcu](#attributes)

### rcu_sys_password<a name='rcu_rcu_sys_password'>

SYS password to use on the database where the RCU repository is created.

Type: `Optional[String[1]]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_honor_omf<a name='rcu_rcu_honor_omf'>

Boolean to determine if you want the RCU creation to honor OMF (Oracle Managed Files).

Type: `Optional[Boolean]`

Default:`undef`

[Back to overview of rcu](#attributes)

### rcu_soa_profile<a name='rcu_rcu_soa_profile'>

Profile to use for creating the RCU for SOA.

Type: `Optional[
    Enum[
      'SMALL',
      'MED',
      'LARGE'
    ]
  ]`

Default:`undef`

[Back to overview of rcu](#attributes)

### logoutput<a name='rcu_logoutput'>

log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Variant[
    Boolean,
    Enum[
      'on_failure'
    ]
  ]`

Default:`lookup({name => 'logoutput', default_value => 'on_failure'})`

[Back to overview of rcu](#attributes)

### log_output<a name='rcu_log_output'>

**DEPRECATED** This parameter is replaced by 'logoutput' and will be removed in a future release.
log the outputs of Puppet exec or not.

When you specify `true` Puppet will log all output of `exec` types.

Valid values are:

- `true`
- `false`
- `on_failure`

Type: `Optional[
    Variant[
      Boolean,
      Enum['on_failure']
    ]
  ]`

Default:`undef`

[Back to overview of rcu](#attributes)
