This defined type allows you to control a admin server or a managed server during s Puppet run. It allows you to stop, start or restart a managed server. Here is an example on how you could use this:

```puppet
ora_install::control{'startWLSAdminServer12c':
  domain_name                 => "Wls12c",
  server_type                 => 'admin',  # admin|managed
  target                      => 'Server', # Server|Cluster
  server                      => 'AdminServer',
  action                      => 'start',
  weblogic_home_dir           => "/opt/oracle/middleware12c/wlserver",
  jdk_home_dir                => "/usr/java/jdk1.7.0_45",
  weblogic_user               => "weblogic",
  weblogic_password           => "weblogic1",
  adminserver_address         => 'localhost',
  adminserver_port            => 7001,
  nodemanager_port            => 5556,
  nodemanager_secure_listener => true,
  os_user                     => "oracle",
  os_group                    => "dba",
  download_dir                => "/data/install",
}
```

<%- include_attributes [
  :middleware_home_dir,
  :weblogic_home_dir,
  :jdk_home_dir,
  :wls_domains_dir,
  :domain_name,
  :server_type,
  :target,
  :server,
  :adminserver_address,
  :adminserver_port,
  :nodemanager_secure_listener,
  :nodemanager_port,
  :action,
  :weblogic_user,
  :weblogic_password,
  :jsse_enabled,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :os_user,
  :os_group,
  :download_dir,
  :log_output,
  :logoutput
]%>
