This defined type allows you to convert an existing cluster into a OSB or SOA suite cluster (BPM is optional) and also convert BAM to a BAM cluster. This will also work for OIM / OAM cluster. Here is an example on how you could use this:

```puppet
ora_install::fmwcluster { 'soaCluster':
  domain_name       => "soa_domain",
  soa_cluster_name  => "SoaCluster",
  bam_cluster_name  => "BamCluster",
  osb_cluster_name  => "OsbCluster",
  log_output        => *logoutput,
  bpm_enabled       => true,
  bam_enabled       => true,
  soa_enabled       => true,
  osb_enabled       => true,
  repository_prefix => "DEV",
}
```


<%- include_attributes [
  :version,
  :ofm_version,
  :weblogic_home_dir,
  :middleware_home_dir,
  :jdk_home_dir,
  :wls_domains_dir,
  :domain_name,
  :adminserver_name,
  :adminserver_address,
  :adminserver_port,
  :nodemanager_port,
  :soa_cluster_name,
  :bam_cluster_name,
  :osb_cluster_name,
  :oam_cluster_name,
  :oim_cluster_name,
  :ess_cluster_name,
  :bi_cluster_name,
  :bpm_enabled,
  :bam_enabled,
  :osb_enabled,
  :soa_enabled,
  :oam_enabled,
  :oim_enabled,
  :b2b_enabled,
  :ess_enabled,
  :bi_enabled,
  :repository_prefix,
  :weblogic_user,
  :weblogic_password,
  :os_user,
  :os_group,
  :download_dir,
  :retain_file_store,
  :jsse_enabled,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :nodemanager_secure_listener,
  :logoutput,
  :log_output
]%>
