This defined type allows you to start a nodemanager on a system. Here is an example on how you could use this:

```puppet
ora_install::nodemanager{'nodemanager12c':
  version                     => 1212, # 1036|1111|1211|1212
  weblogic_home_dir           => "/opt/oracle/middleware12c/wlserver",
  jdk_home_dir                => "/usr/java/jdk1.7.0_45",
  nodemanager_port            => 5556,
  nodemanager_secure_listener => true,
  domain_name                 => "Wls12c",
  os_user                     => "oracle",
  os_group                    => "dba",
  log_dir                     => "/data/logs",
  download_dir                => "/data/install",
  log_output                  => true,
  sleep                       => 20,
  properties                  => {},
}
```


<%- include_attributes [
  :version,
  :middleware_home_dir,
  :weblogic_home_dir,
  :nodemanager_port,
  :nodemanager_address,
  :nodemanager_secure_listener,
  :jsse_enabled,
  :custom_trust,
  :trust_keystore_file,
  :trust_keystore_passphrase,
  :custom_identity,
  :custom_identity_keystore_filename,
  :custom_identity_keystore_passphrase,
  :custom_identity_alias,
  :custom_identity_privatekey_passphrase,
  :extra_arguments,
  :wls_domains_dir,
  :domain_name,
  :jdk_home_dir,
  :os_user,
  :os_group,
  :download_dir,
  :log_dir,
  :log_file,
  :sleep,
  :properties,
  :ohs_standalone,
  :puppet_os_user,
  :logoutput,
  :log_output
]%>
