This defined type allows you to apply an OPatch on a Middleware home or a Oracle product home. Using this defined type you can ensure your WebLogic installation is always at the required patchlevel. Here is an example on how you could use this:

```puppet
ora_install::opatch {'16175470':
  ensure                  => "present",
  oracle_product_home_dir => "/opt/oracle/middleware12c",
  jdk_home_dir            => "/usr/java/jdk1.7.0_45",
  patch_id                => "16175470",
  patch_file              => "p16175470_121200_Generic.zip",
  os_user                 => "oracle",
  os_group                => "dba",
  download_dir            => "/data/install",
  source                  => "/vagrant",
  log_output              => false,
}
```

<%- include_attributes [
  :ensure,
  :oracle_product_home_dir,
  :jdk_home_dir,
  :patch_id,
  :patch_file,
  :os_user,
  :os_group,
  :download_dir,
  :source,
  :logoutput,
  :log_output,
  :remote_file
]%>
