#
# Because the version command isn't avialble through all versions,
# we read the web.xml from the war file and extract the version number
#
def version_in_home(home)
  open("| unzip -p #{home}/ords.war WEB-INF/web.xml | grep -A 1 '<param-name>version</param-name>' | grep 'param-value'").read.strip.split(/<|>/)[2].strip
end
 
# get list of installed ords
Facter.add('ords_homes') do
  confine :kernel => 'Linux'  # FGor now we only support Linux systems
 
  setcode do
    if File.exists?('/etc/ords_homes')
      homes = File.read('/etc/ords_homes').split
      data = {}
      homes.collect do |home|
        version_data = version_in_home(home).split('.')
        data[home] = {}
        data[home]['version'] = "#{version_data[0]}.#{version_data[1]}.#{version_data[2]}"
        data[home]['release'] = version_data[3]
      end
      data
    else
      {}
    end
  end
end
