#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function(:'wls_install::ords_installed') do
  dispatch :ords_installed do
    param 'Stdlib::Absolutepath', :home
    param 'String[1]',            :version
    return_type 'Boolean'
  end

  def ords_installed(home, version)
    scope = closure_scope
    fact = scope['ords_homes']
    return false unless fact.keys.include?(home)
    home_fact = fact[home]
    return false if version != home_fact['version']
    true
  end
end