#
#
class wls_install::ords(
  String[1]                            $version,
  String[1]                            $source,
  String[1]                            $file,
  Stdlib::Absolutepath                 $ords_home,
  String[1]                            $db_hostname,
  Integer                              $db_port,
  String[1]                            $db_servicename,
  String[1]                            $db_sid,
  String[1]                            $db_username,
  Boolean                              $migrate_apex_rest,
  Boolean                              $plsql_gateway_add,
  Boolean                              $rest_services_apex_add,
  Boolean                              $rest_services_ords_add,
  String[1]                            $schema_tablespace_default,
  String[1]                            $schema_tablespace_temp,
  Integer                              $standalone_http_port,
  Boolean                              $standalone_static_images,
  String[1]                            $user_public_password,
  String[1]                            $user_tablespace_default,
  String[1]                            $user_tablespace_temp,
  String[1]                            $sys_user,
  String[1]                            $sys_password,
  Variant[Enum['on_failure'], Boolean] $logoutput       = 'on_failure',    # Output of the execs
){
  wls_install::ords::software_version { $version:
    source    => $source,
    file      => $file,
    ords_home => $ords_home,
    logoutput => $logoutput,
  }
  -> wls_install::ords::config { $ords_home:
    db_hostname               => $db_hostname,
    db_port                   => $db_port,
    db_servicename            => $db_servicename,
    db_sid                    => $db_sid,
    db_username               => $db_username,
    migrate_apex_rest         => $migrate_apex_rest,
    plsql_gateway_add         => $plsql_gateway_add,
    rest_services_apex_add    => $rest_services_apex_add,
    rest_services_ords_add    => $rest_services_ords_add,
    schema_tablespace_default => $schema_tablespace_default,
    schema_tablespace_temp    => $schema_tablespace_temp,
    standalone_http_port      => $standalone_http_port,
    standalone_static_images  => $standalone_static_images,
    user_public_password      => $user_public_password,
    user_tablespace_default   => $user_tablespace_default,
    user_tablespace_temp      => $user_tablespace_temp,
    sys_user                  => $sys_user,
    sys_password              => $sys_password,
  }
}
